  rm(list=ls())
  library(reshape2)
  library(base)
  library(ggplot2)
  library(grid)
  library(tikzDevice)
  library(stringr)
  library(tidyverse)
  
  #--------------------------------
  # Figure 4: Total Fertility Rates
  #--------------------------------
  
  setwd("../ReplicationPackage/Figure_04/")
  
  # 1. Load data
  
  dat <- read.table("Figure4.txt", 
                    sep="\t",
                    header = TRUE)

  
  labels1 =c("Austria", "Belgium", "Denmark", "Germany", "Italy", "Japan", "Spain", "Sweden", "Switzerland", "UK", "USA")
   
  lineplot <- ggplot(data=dat, aes(x=year, y=tyr,  colour = country)) + 
    geom_line(size=1.) + 
    theme_bw()+
    theme(panel.border = element_blank(), panel.grid.major = element_blank(),
          panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"),
          axis.title.x=element_text(size=9),
          axis.title.y=element_blank()
    ) +
    ylab(" ")+
    xlab(" ") +
    scale_color_manual(values=c('#1a476f',
                                '#90353b',	
                                '#55752f',
                                '#e37e00',
                                '#6e8e84',
                                '#b0b0b0',
                                '#938dd2',
                                '#cac27e',
                                '#a0522d',
                                '#006000',
                                '#c10534') , name="", labels=labels1) +
    scale_x_continuous(breaks=c(1870,1890,1910,1930,1950,1970,1990,2010))+
    scale_y_continuous(breaks=c(0,2,4,6,8,10,12,14), limits = c(0,14),expand = c(0,0))+
    theme(legend.position = "bottom",
          legend.title = element_blank(),
          legend.text = element_text(size=9),
          legend.spacing.x = unit(0.25, 'cm'),
          panel.border = element_blank(), panel.grid.major = element_blank(),
          panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"),
          axis.text.x = element_text(size=9, vjust=-1),
          axis.text.y=element_text(size=9),
          axis.title.y=element_blank(),
          axis.title.x=element_text(size=9),
    )+
    guides(color=guide_legend(nrow=2,byrow=TRUE))
 
  ggsave("Figure4.pdf", height=3.5, width=6)


  #-------------
  # end of file
  #-------------
