  rm(list=ls())
  library(reshape2)
  library(base)
  library(ggplot2)
  library(grid)
  library(tikzDevice)
  library(stringr)
  library(tidyverse)
  
  #-----------------------------------
  # Figure 5a: Gender Earnings Ratio
  #-----------------------------------
  
  setwd("../ReplicationPackage/Figure_05/")
  
  # 1. Load data
  
  
  dat <- read.table("Figure5a.txt", 
                    sep="\t",
                    header = TRUE)  
  
  labels1 <- c("   ")   
  
  lineplot <- ggplot(data=dat, aes(x=year, y=earn_ratio)) + 
    geom_line(color= c("#1a476f"), data = filter(dat, is.na(earn_ratio)==FALSE), size=1.)+
    theme_bw()+
    ylab(" ")+
    xlab(" ") +
    scale_color_manual(values=c("#1a476f") , name="", labels=labels1) +
    scale_linetype_manual(values=c("solid") , name="", labels=labels1) +
    scale_x_continuous( breaks=seq(1890,2020,20)) + 
    theme(legend.position = "bottom",
          legend.title = element_blank(),
          legend.text = element_text(size=9),
          legend.spacing.x = unit(0.125, 'cm'),
          panel.border = element_blank(), panel.grid.major = element_blank(),
          panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"),
          axis.text.x = element_text(size=9, vjust=-1),
          axis.text.y=element_text(size=9),
          axis.title.y=element_text(size=9),
          axis.title.x=element_text(size=9),
    )+
    guides(color=guide_legend(nrow=1,byrow=TRUE))
 
  ggsave("Figure5a.pdf",height=2.25, width=3.125)  
  
  #-------------
  # end of file
  #-------------
