  rm(list=ls())
  library(reshape2)
  library(base)
  library(ggplot2)
  library(grid)
  library(tikzDevice)
  library(stringr)
  library(tidyverse)

  #--------------------------------
  # Figure 5b: Female LFP
  #--------------------------------
  
  setwd("../ReplicationPackage/Figure_05/")
  
  # 1. Load data
  
  dat <- read.table("Figure5b.txt", 
                    sep="\t",
                    header = TRUE)
 
  dat$marital <- factor(dat$marital,  levels=c("total", "single", "married"))
  labels1  <- c("All Women", "Single Women", "Married Women")
  
  lineplot <- ggplot(data=dat, aes(x=year, y=lfp)) + 
    geom_line(aes(color=marital, linetype=marital), data = filter(dat, is.na(marital)==FALSE), linewidth=1.)+
    theme_bw()+
    ylab(" ")+
    xlab(" ") +
    scale_color_manual(values=c('#1a476f',
                                '#55752f',
                                '#c10534') , name="") +
    scale_linetype_manual(values=c("solid","longdash","dotdash"), name="") +
    scale_x_continuous( breaks=seq(1890,2020,20)) + 
    annotate("text", x = 1933, y = 34, size = 3, label = c("All Women"))+
    annotate("text", x = 1938, y = 56, size = 3, label = c("Single Women"))+
    annotate("text", x = 1938, y = 6, size = 3, label = c("Married Women"))+
    theme(legend.position = "none",
          legend.title = element_blank(),
          legend.text = element_blank(),
          panel.border = element_blank(), panel.grid.major = element_blank(),
          panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"),
          axis.text.x = element_text(size=9, vjust=-1),
          axis.text.y=element_text(size=9),
          axis.title.y=element_text(size=9),
          axis.title.x=element_text(size=9),
          )
 
  ggsave("Figure5b.pdf",height=2.25, width=3.125)  
  
  #-------------
  # end of file
  #-------------
