  rm(list=ls())
  library(reshape2)
  library(base)
  library(ggplot2)
  library(grid)
  library(tikzDevice)
  library(stringr)
  library(tidyverse)
 
  #------------------------------------------
  # Figure 6a: Baby Boom - Allied Countries
  #------------------------------------------
  
  setwd("../ReplicationPackage/Figure_06/")
  
  # 1. Load data
  
  dat <- read.table("Figure6a.txt", 
                    sep="\t",
                    header = TRUE)
 
  dat$country <- factor(dat$country,  levels=c("Australia", "Canada", "New Zealand", "USA"))
  labels1  <- c("Australia", "Canada", "New Zealand", "USA")

  lineplot <- ggplot(data=dat, aes(x=year, y=cfr,  colour = country)) + 
    geom_line(aes(color=country, linetype=country), data = filter(dat, is.na(cfr)==FALSE), size=1.25) + 
    theme_bw()+
    ylab(" ")+
    xlab(" ") +
    ylim(c(1.5,4))+
    scale_color_manual(values=c('#1a476f',
                                '#55752f',
                                '#e37e00',
                                '#c10534') , name="") +
    scale_linetype_manual(values=c("dotdash", "dashed", "longdash", "solid") , name="") +
    theme(legend.position = "bottom",
          legend.title = element_blank(),
          legend.text = element_text(size=9),
          legend.spacing.x = unit(0.25, 'cm'),
          panel.border = element_blank(), panel.grid.major = element_blank(),
          panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"),
          axis.text.x = element_text(size=9, vjust=-1),
          axis.text.y=element_text(size=9),
          axis.title.y=element_text(size=9),
          axis.title.x=element_text(size=9),
          )+
    guides(color=guide_legend(nrow=2,byrow=TRUE))
 
   ggsave("Figure6a.pdf",height=3.0, width=3)
 

  #-------------
  # end of file
  #-------------
