clear all
 

* Set file path - LINUX/OS
global INPATH   = ".../ELFS/YearlyFiles_1998_2018"
global OUTPATH  = ".../ReplicationPackage/Figure_25/"

use "${INPATH}/ALL_2014-2018_y.dta", clear

* Counting the number of own children <2 in the household*
* Only counting children not classified as adults in hhpers tab hhseqnum

gen births=0

foreach i of num 1/10 {
gen mtemp`i'=hhmoth if hhseqnum==`i' & hhpers!=4 & hhmoth<99 // Step1
gen agetemp`i'=age if hhseqnum==`i' & hhpers!=4 & hhmoth<99 // Step1

egen mpers`i'=mean(mtemp`i'), by(year country qhhnum) // Step2 
egen age`i'=mean(agetemp`i'), by(year country qhhnum) // Step2 

replace births=births+1 if mpers`i'==hhseqnum & hhageyg==0 & age`i'==2 //Step3
}

replace births=hhnbch2 if births>hhnbch2 & hhnbch2<. & births<.

* Drop temporary variables and label births 
drop mtemp* mpers* agetemp* mpers*
label var births "Number of children born in the last two years"
tab births

keep year country qhhnum national sex age year hat11lev coeff hhnbchld births
save "${INPATH}/Births_2014-2018_y.dta", replace
 
* Data for Figures
use "${INPATH}/Births_2014-2018_y.dta", clear 
 
keep if national=="000-OWN COUNTRY" 
keep if sex == 2
keep if age>=32 & age<=47
keep if year>=2014 & year<=2018 

gen education = 0 if  hat11lev>=100 & hat11lev<300
replace education = 1 if hat11lev>=300 & hat11lev<400
replace education = 2 if hat11lev>=400 & hat11lev<600
replace education = 3 if hat11lev==600
replace education = 4 if hat11lev==700 | hat11lev==800
drop if education==.
 
gen fr = births
replace hhnbchld=. if hhnbchld==99
 
collapse (mean) fr hhnbchld [w = coeff], by(country education age)

replace fr = hhnbchld  if  age == 32
gen nchild32 = hhnbchld if  age == 32
replace fr=fr*5 if age !=32
 
collapse (sum) fr nchild32, by(country education) 

drop if country=="FI"

outsheet using "${OUTPATH}/Figure25.txt", replace
