  rm(list=ls())
  library(reshape2)
  library(scales)
  library(xtable) 
  library(base)
  library(ggplot2)
  library(grid)
  library(tikzDevice)
  
  #----------------
  # Figure 16: left
  #----------------
  
  setwd("../ReplicationPackage/Figure_16/")
  
  # 1. Load data
  
  dat <- read.table("Figure16_left.txt", 
                    sep="\t",
                    header = TRUE)
  
   dat$ind <- factor(dat$ind, c("1", "2"))
                                    
   vpos <- c(1.7,2,2,2,0.8,-0.8,2,2,2,2,2.2)
   hpos <- c(0,0,0.5,1,-0.08,0.8,0,1,0,0,0.5)

   lineplot <- ggplot(data=dat, aes(x=as_aver, y=fmdiff, color=ind)) + 
    geom_point(size=2.0 ) +
    geom_smooth(method=lm, level = 0, color="#999999", size=1.25,  fill=c("#acace6")) +
    geom_text(aes(label=ccf), size=2.0,  vjust=vpos, hjust=hpos) +
    theme_bw()+
    theme(panel.border = element_blank(), panel.grid.major = element_blank(),
          panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"),
          axis.title.x=element_text(size=8),
          axis.title.y=element_text(size=8)) +
    ylab("Disagreement Female - Male")+
    xlab("Average Share of Childcare Done by Men")+
    annotate("text", x = 0.375, y = 0.2, label = "Correlation = - 0.73", size= 3 ) +  
    scale_color_manual(breaks = c("1", "2"),values=c("#FF0000", "#4040bf"), name="") +  
    theme(legend.position = "none",
          legend.title = element_blank())

   ggsave('Figure16_left.pdf',height=2.25, width=3.125)    
  
  #-------------
  # end of file
  #-------------
