/******************************************************************************
 * ISSP 2012 DATA
 ******************************************************************************/

quietly {
 
	use "$raw/ZA5900_v4-0-0.dta", clear

	drop if C_ALPHAN == "AR"
	drop if C_ALPHAN == "CL"
	drop if C_ALPHAN == "CN"
	drop if C_ALPHAN == "TW"
	drop if C_ALPHAN == "IN"
	drop if C_ALPHAN == "MX"
	drop if C_ALPHAN == "PH"
	drop if C_ALPHAN == "ZA"
	drop if C_ALPHAN == "TR"
	drop if C_ALPHAN == "VE"
	drop if C_ALPHAN == "RU"
	drop if C_ALPHAN == "IL"

	gen ISO = ""

	replace ISO = "AUS" if C_ALPHAN == "AU"
	replace ISO = "AUT" if C_ALPHAN == "AT"
	replace ISO = "BEL" if C_ALPHAN == "BE"
	replace ISO = "BGR" if C_ALPHAN == "BG"
	replace ISO = "CAN" if C_ALPHAN == "CA"
	replace ISO = "HRV" if C_ALPHAN == "HR"
	replace ISO = "CZE" if C_ALPHAN == "CZ"
	replace ISO = "DNK" if C_ALPHAN == "DK"
	replace ISO = "FIN" if C_ALPHAN == "FI"
	replace ISO = "FRA" if C_ALPHAN == "FR"
	replace ISO = "DEU" if V3 ==  27601
	replace ISO = "DEU" if V3 ==  27602
	replace ISO = "HUN" if C_ALPHAN == "HU"
	replace ISO = "ISL" if C_ALPHAN == "IS"
	replace ISO = "IRL" if C_ALPHAN == "IE"
	replace ISO = "JPN" if C_ALPHAN == "JP"
	replace ISO = "KOR" if C_ALPHAN == "KR"
	replace ISO = "LVA" if C_ALPHAN == "LV"
	replace ISO = "LTU" if C_ALPHAN == "LT"
	replace ISO = "NLD" if C_ALPHAN == "NL"
	replace ISO = "NOR" if C_ALPHAN == "NO"
	replace ISO = "POL" if C_ALPHAN == "PL"
	replace ISO = "PRT" if C_ALPHAN == "PT"
	replace ISO = "SVK" if C_ALPHAN == "SK"
	replace ISO = "SVN" if C_ALPHAN == "SI"
	replace ISO = "ESP" if C_ALPHAN == "ES"
	replace ISO = "SWE" if C_ALPHAN == "SE"
	replace ISO = "CHE" if C_ALPHAN == "CH"
	replace ISO = "GBR" if C_ALPHAN == "GB-GBN"
	replace ISO = "USA" if C_ALPHAN == "US"
	replace ISO = "ARG" if C_ALPHAN == "AR"
	replace ISO = "CHL" if C_ALPHAN == "CL"
	replace ISO = "CHN" if C_ALPHAN == "CN"
	replace ISO = "TWN" if C_ALPHAN == "TW"
	replace ISO = "IND" if C_ALPHAN == "IN"
	replace ISO = "MEX" if C_ALPHAN == "MX"
	replace ISO = "PHL" if C_ALPHAN == "PH"
	replace ISO = "ZAF" if C_ALPHAN == "ZA"
	replace ISO = "TUR" if C_ALPHAN == "TR"
	replace ISO = "VEN" if C_ALPHAN == "VE"
	replace ISO = "RUS" if C_ALPHAN == "RU"
	replace ISO = "ISR" if C_ALPHAN == "IL"


	levelsof ISO, local(countries)
	capture: gen country = .
	local i = 1
	label define country 0 "none", replace
	foreach c of local countries {
		replace country = `i' if ISO == "`c'"
		label define country `i' "`c'", add
		local i=`i'+1
	}
	label values country country


	// generate hours housework
	gen hours_hw_m = .
	gen hours_hw_f = .
	replace hours_hw_m = V37 if SEX == 1
	replace hours_hw_f = V37 if SEX == 2
	replace hours_hw_m = V39 if SEX == 1
	replace hours_hw_f = V39 if SEX == 2


	// generate hours on family members
	gen hours_fm_m = .
	gen hours_fm_f = .
	replace hours_fm_m = V38 if SEX == 1
	replace hours_fm_f = V38 if SEX == 2
	replace hours_fm_m = V40 if SEX == 1
	replace hours_fm_f = V40 if SEX == 2

	gen wave = 2012
	rename V3 COUNTRY3
	replace AGE = . if AGE > 110


}


save "$repo/ISSP_2012.dta", replace
