  rm(list=ls())
  library(reshape2)
  library(scales)
  library(xtable) 
  library(base)
  library(ggplot2)
  library(grid)
  library(tikzDevice)
  
  #----------------
  # Figure 17: left
  #----------------
  
  setwd("../ReplicationPackage/Figure_17/")
  
  # 1. Load data
  
  dat <- read.table("Figure17_left.txt", 
                    sep="\t",
                    header = TRUE)

   dat$ind <- factor(dat$ind, c("1", "2"))
                                  
   vpos <- c(1.8,-1.3,2,2,-1.3,2,-1.6,0.2,2,2,2)
   hpos <- c(0.5,0.5,1,1,1,0.75,1,-0.5,0.5,1,0.7)

   lineplot <- ggplot(data=dat, aes(x=fmdiff, y=fertrate, color=ind)) + 
    geom_point(size=2 ) +
    geom_smooth(method=lm, level = 0, color="#999999", size=1.25,  fill=c("#acace6")) +
    geom_text(aes(label=cc), size=2.0,  vjust=vpos, hjust=hpos) +
    theme_bw()+
    theme(panel.border = element_blank(), panel.grid.major = element_blank(),
          panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"),
          axis.title.x=element_text(size=8),
          axis.title.y=element_text(size=7.25)) +
    ylab("Average Total Fertility Rate, 2005-2015")+
    xlab("Disagreement Female - Male")+
    xlim(-0.055,0.22)+
    annotate("text", x = 0.15, y = 1.925, label = "Correlation = - 0.73", size= 3 ) +  
    scale_color_manual(breaks = c("1", "2"),values=c("#FF0000", "#4040bf"), name="") +  
    #scale_color_manual(breaks = c("1", "2"),values=c('#c10534', '#1a476f'), name="") +  
    theme(legend.position = "none",
          legend.title = element_blank())

  ggsave('Figure17_left.pdf',height=2.25, width=3.125)

  
  #-------------
  # end of file
  #-------------
