  rm(list=ls())
  library(reshape2)
  library(scales)
  library(xtable) 
  library(base)
  library(ggplot2)
  library(grid)
  library(tikzDevice)
  
  #-----------------
  # Figure 17: right
  #-----------------
  
  setwd("../ReplicationPackage/Figure_17/")
  
  # 1. Load data
  
  dat <- read.table("Figure17_right.txt",
                    sep="\t",
                    header = TRUE)

  
   dat$ind <- factor(dat$ind, c("1", "2"))
                                    

   vpos <- c(2,2,2,-1,1,1,-1,0.5,2,2,
             -1,2,2,2,2,-0.5,1,-1,2,1.5,
             -1,2,2,-0.25,2.25,2,-1)
   hpos <- c(1,1,1,-0.25,-0.5,1.25,-0.25,-0.25,1,1,
             1,1,0,0.65,1,-0.25,1.25,-0.5,-0.5,1.25,
             1,1,0.25,-0.25,0.75,1,1)
  
   lineplot <- ggplot(data=dat, aes(x=total_share, y=tfrav, color=ind)) + 
    geom_point(size=2 ) +
    geom_smooth(method=lm, level = 0, color="#999999", size=1.25,  fill=c("#acace6")) +
    geom_text(aes(label=ISO), size=2.0,  vjust=vpos, hjust=hpos) +
    theme_bw()+
    theme(panel.border = element_blank(), panel.grid.major = element_blank(),
          panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"),
          axis.title.x=element_text(size=8),
          axis.title.y=element_text(size=7.25)) +
    ylab("Average Total Fertility Rate, 2005-2015")+
    xlab("Share House Work \\& Childcare Done by Men")+
    annotate("text", x = 0.34, y = 1.25, label = "Correlation = 0.72", size= 3 ) +  
    scale_color_manual(breaks = c("1", "2"),values=c("#FF0000", "#4040bf"), name="") +  
    theme(legend.position = "none",
          legend.title = element_blank())

   ggsave('Figure17_right.pdf',height=2.25, width=3.125)
   
  
  #-------------
  # end of file
  #-------------
