  rm(list=ls())
  library(reshape2)
  library(base)
  library(ggplot2)
  library(grid)
  library(tikzDevice)
  library(stringr)
  library(tidyverse)
  
  #--------------------------------
  # Figure 19: Age at First Birth
  #--------------------------------
  
  setwd("../ReplicationPackage/Figure_19/")
  
  # 1. Load data
  
  dat <- read.table("Figure19.txt", 
                    sep="\t",
                    header = TRUE)
 
  lineplot <- ggplot(data=dat, aes(x=year, y=ageatfirst,  colour = country)) + 
    geom_line(data = filter(dat, is.na(ageatfirst)==FALSE), size=1.)+
    theme_bw()+
    ylab(" ")+
    xlab(" ") +
    scale_color_manual(values=c('#1a476f',
                                '#90353b',	
                                '#55752f',
                                '#e37e00',
                                '#6e8e84',
                                '#b0b0b0',
                                '#938dd2',
                                '#cac27e',
                                '#a0522d',
                                '#006000',
                                '#c10534') , name="") +
    scale_y_continuous(breaks=c(22,24,26,28,30,32), limits = c(22,32),expand = c(0,0))+
    scale_x_continuous(breaks=c(1960,1970,1980,1990,2000,2010,2020))+
    theme(legend.position = "bottom",
          legend.title = element_blank(),
          legend.text = element_text(size=9),
          legend.spacing.x = unit(0.25, 'cm'),
          panel.border = element_blank(), panel.grid.major = element_blank(),
          panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"),
          axis.text.x = element_text(size=9, vjust=-1),
          axis.text.y=element_text(size=9),
          axis.title.y=element_blank(),
          axis.title.x=element_text(size=9),
          )+
    guides(color=guide_legend(nrow=2,byrow=TRUE))
 
  ggsave('Figure19.pdf',height=3.5, width=6) 
  

  #-------------
  # end of file
  #-------------
