  rm(list=ls())
  library(reshape2)
  library(scales)
  library(xtable) 
  library(base)
  library(ggplot2)
  library(grid)
  library(tikzDevice)
  
  #----------- 
  # Figure 22 
  #----------- 
  
  setwd("../ReplicationPackage/Figure_22/")

  dat <- read.table("Figure22.txt", 
                    sep="\t",
                    header = TRUE)

   vpos <- c(2,0.3,2,-1,2,2)
   hpos <- c(0.5,-0.7,1,0.5,0,1)

   lineplot <- ggplot(data=dat, aes(x=share, y=lrpenalty)) + 
    geom_point(size=2.5, color="#4040bf" ) +
    geom_smooth(method=lm, level = 0, color="#999999", size=1.25,  fill=c("#acace6")) +
    geom_text(aes(label=country), size=3,  vjust=vpos, hjust=hpos, color="#4040bf") +
    theme_bw()+
    theme(panel.border = element_blank(), panel.grid.major = element_blank(),
          panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"),
          axis.title.x=element_text(size=9),
          axis.title.y=element_text(size=9)) +
    ylab("Long-Run Child Penalty in Earnings")+
    xlab("Women With Children Under School Age\n or In School Should Stay at Home (Fraction Agreeing)")+
    annotate("text", x = 0.35, y = 0.21, label = "Slope = 1.012 (.256)", size= 3.5 ) +    
    theme(legend.position = "none",
          legend.title = element_blank())
   
   ggsave('Figure22.pdf',height=3.25, width= 6)

  #-------------
  # end of file
  #-------------
