  rm(list=ls())
  library(reshape2)
  library(base)
  library(ggplot2)
  library(grid)
  library(tikzDevice)
  library(stringr)
  library(tidyverse)
  library(ggh4x)

  #-----------
  # Figure 29
  #-----------
  
  setwd("../ReplicationPackage/Figure_29/")
  
  # 1. Load data
  
  dat <- read.table("Figure29.txt", 
                    sep="\t",
                    header = TRUE,
                    stringsAsFactors = FALSE)
 
  dat$emp_status <- factor(dat$emp_status,  levels=c("Non-employed", "Part-time", "Full-time")) 
  dat$parent <- factor(dat$parent,  levels=c("Mothers", "Fathers")) 
 
  labels =c("Non-employed", "Part-time", "Full-time")
  
  # 2. Graph
  
  lineplot <- ggplot(data=dat, mapping=aes(x=as.numeric(emp_status), y=bls_carehh_kid, fill=parent)) + 
    geom_bar(stat="identity", position = "dodge",  width = 0.5)  + 
    theme(panel.spacing = unit(0, "lines"), 
          strip.background = element_blank(),
          axis.title.y=element_blank()) +
    theme_bw()+
    ylab("Minutes per Day")+
    xlab("")+
    scale_fill_manual(values = c("#FF0000","#0000FF"), name="") +
    scale_x_continuous(breaks = 1:length(labels), labels = labels) +
    theme(legend.title = element_blank(),
          legend.text = element_text(size=9,margin = margin(r = 25, unit = "pt")),
          legend.position = "bottom",
          axis.text.x = element_text(size=9, vjust=-1),
          axis.text.y=element_text(size=9),
          axis.title.y=element_text(size=9),
          axis.title.x=element_text(size=9),
          panel.border = element_blank(), panel.grid.major = element_blank(),
          panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"))
  
  ggsave("Figure29.pdf",height=3.5, width=6)  
 
  #-------------
  # end of file
  #-------------
