  rm(list=ls())
  library(reshape2)
  library(base)
  library(ggplot2)
  library(grid)
  library(tikzDevice)
  library(stringr)
  library(tidyverse)
  library(ggh4x)

  #--------------------------------
  # Figure 30
  #--------------------------------
  
  setwd("../ReplicationPackage/Figure_30/")
  
  dat <- read.table("Figure30.txt", 
                    sep="\t",
                    header = TRUE,
                    stringsAsFactors = FALSE)
  
  dat$country <- str_replace_all(dat$country, 'United States', 'USA')
  dat$country <- str_replace_all(dat$country, 'United Kingdom', 'UK')
  
  dat$country <- factor(dat$country,  levels=c("France", "Italy", "Netherlands", "Denmark", "UK", "Spain", "USA", "South Korea", "Austria"))
  
  dat$newid <- str_replace_all(dat$newid, "Men - low", "Men - low edu") 
  dat$newid <- str_replace_all(dat$newid, "Men - high", "Men - high edu") 
  dat$newid <- str_replace_all(dat$newid, "Women - low", "Women - low edu") 
  dat$newid <- str_replace_all(dat$newid, "Women - high", "Women - high edu") 
  
  dat$newid <- factor(dat$newid, c("Men - low edu", "Men - high edu", "Women - low edu", "Women - high edu")) 
  
  #--------------------------------
  # Graph - Combined
  #--------------------------------
 
  df1 <- subset(dat, country %in% c("USA", "UK", "Austria", "France", "Netherlands", "Denmark", "Italy", "Spain", "South Korea"))
  
  labels1 =c("France", "Italy", "Netherlands", "Denmark", "UK", "Spain", "USA", "South Korea", "Austria") 

  lineplot <- ggplot(data=df1, mapping=aes(x=as.numeric(country), y=kidcare, fill=newid)) + 
    geom_bar(stat="identity", position = "dodge")  + 
    theme(panel.spacing = unit(0, "lines"), 
          strip.background = element_blank(),
          axis.title.y=element_blank(),
    ) +
    theme_bw()+
    ylab("Minutes per Day")+
    xlab("")+
    scale_fill_manual(values = c("#9999FF", "#0000FF", "#FF9999", "#FF0000"), name="") +
    scale_x_continuous(breaks = 1:length(labels1), labels = labels1) +
    theme(legend.title = element_blank(),
          legend.text = element_text(size=9,margin = margin(r = 9, unit = "pt")),
          legend.position = "bottom",
          axis.text.x = element_text(size=7.5, vjust=-1),
          axis.text.y=element_text(size=9),
          axis.title.y=element_text(size=9),
          axis.title.x=element_text(size=9),
          panel.border = element_blank(), panel.grid.major = element_blank(),
          panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"))
  
  ggsave("Figure30.pdf",height=3.5, width=6)
  
    #-------------
  # end of file
  #-------------
