  rm(list=ls())
  library(reshape2)
  library(base)
  library(ggplot2)
  library(grid)
  library(tikzDevice)
  library(stringr)
  library(tidyverse)

  #------------
  # Figure 31a
  #------------
  
  setwd("../ReplicationPackage/Figure_31/")
  
  dat <- read.table("Figure31.txt", 
                    sep="\t",
                    header = TRUE)

  lineplot <- ggplot(data=dat, aes(x=year, y=all_father,  colour = country)) + 
    geom_line(aes(color=country, linetype=country), size=1.25) + 
    theme_bw()+
    ylab("Weekly Hours of Childcare")+
    xlab(" ") +
    ylim(c(3,23))+
    scale_color_manual(values=c('#1a476f',
                                '#55752f',
                                '#e37e00',
                                '#938dd2',
                                '#006000',
                                '#c10534' 	) , name="") +
    scale_linetype_manual(values=c("dotted", "dashed", "longdash","dotdash", "twodash", "solid") , name="") +
    theme(legend.position = "bottom",
          legend.title = element_blank(),
          legend.text = element_text(size=7),
          legend.spacing.x = unit(0.05, 'cm'),
          panel.border = element_blank(), panel.grid.major = element_blank(),
          panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"),
          axis.text.x = element_text(size=9, vjust=-1),
          axis.text.y=element_text(size=9),
          axis.title.y=element_text(size=9),
          axis.title.x=element_text(size=9),
          legend.key.width = unit(1.15,"cm")
          )+
    guides(color=guide_legend(nrow=2,byrow=TRUE))
 
  ggsave('Figure31a.pdf',height=3, width=3)  
 
  #------------
  # Figure 31b
  #------------
 
  lineplot <- ggplot(data=dat, aes(x=year, y=all_mother,  colour = country)) + 
    geom_line(aes(color=country, linetype=country), size=1.25) + 
    theme_bw()+
    ylab("Weekly Hours of Childcare")+
    xlab(" ") +
    ylim(c(3,23))+
    scale_color_manual(values=c('#1a476f',
                                '#55752f',
                                '#e37e00',
                                '#938dd2',
                                '#006000',
                                '#c10534'	) , name="") +
    scale_linetype_manual(values=c("dotted", "dashed", "longdash","dotdash", "twodash", "solid") , name="") +
    theme(legend.position = "bottom",
          legend.title = element_blank(),
          legend.text = element_text(size=7),
          legend.spacing.x = unit(0.05, 'cm'),
          panel.border = element_blank(), panel.grid.major = element_blank(),
          panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"),
          axis.text.x = element_text(size=9, vjust=-1),
          axis.text.y=element_text(size=9),
           axis.title.y=element_text(size=9),
          axis.title.x=element_text(size=9),
          legend.key.width = unit(1.15,"cm")
    )+
    guides(color=guide_legend(nrow=2,byrow=TRUE))
  
  ggsave('Figure31b.pdf',height=3, width=3)  

  #-------------
  # end of file
  #-------------
