  rm(list=ls())
  library(reshape2)
  library(base)
  library(ggplot2)
  library(grid)
  library(tikzDevice)
  library(stringr)
  library(tidyverse)

  #------------
  # Figure 32a
  #------------
  
  setwd("../ReplicationPackage/Figure_32/")
  
  # 1. Load data
  
  dat1 <- read.table("Figure32a.txt", 
                    sep="\t",
                    header = TRUE)

  lineplot <- ggplot(data=dat1, aes(x=year, y=childcare,  colour = edu)) + 
    geom_line(aes(color=edu, linetype=edu), size=1.25) + 
    theme_bw()+
    ylab("Weekly Hours of Childcare")+
    xlab(" ") +
    xlim(c(1965,2015)) +
    ylim(c(3 ,20.5))+
    scale_color_manual(values=c("#4040bf",
                                "#FF0000"	) , name="") +
    scale_linetype_manual(values=c("solid", "dashed") , name="") +
    theme(legend.position = "bottom",
          legend.title = element_blank(),
          legend.text = element_text(size=8),
          legend.spacing.x = unit(0.25, 'cm'),
          panel.border = element_blank(), panel.grid.major = element_blank(),
          panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"),
          axis.text.x = element_text(size=9, vjust=-1),
          axis.text.y=element_text(size=9),
          axis.title.y=element_text(size=9),
          axis.title.x=element_text(size=9),
          legend.key.width = unit(1.15,"cm")
          )+
    guides(color=guide_legend(nrow=1,byrow=TRUE))
 
  ggsave("Figure32a.pdf",height=2.75, width=3.125) 
  

  dat2 <- read.table("Figure32b.txt", 
                     sep="\t",
                     header = TRUE)

  lineplot <- ggplot(data=dat2, aes(x=year, y=childcare,  colour = edu)) + 
    geom_line(aes(color=edu, linetype=edu), size=1.25) + 
    theme_bw()+
    ylab("Weekly Hours of Childcare")+
    xlab(" ") +
    xlim(c(1965,2015)) +
    ylim(c(3,20.5))+
    scale_color_manual(values=c("#4040bf",
                                "#FF0000"	) , name="") +
    scale_linetype_manual(values=c("solid", "dashed") , name="") +
    theme(legend.position = "bottom",
          legend.title = element_blank(),
          legend.text = element_text(size=8),
          legend.spacing.x = unit(0.25, 'cm'),
          panel.border = element_blank(), panel.grid.major = element_blank(),
          panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"),
          axis.text.x = element_text(size=9, vjust=-1),
          axis.text.y=element_text(size=9),
          axis.title.y=element_text(size=9),
          axis.title.x=element_text(size=9),
          legend.key.width = unit(1.15,"cm")
    )+
    guides(color=guide_legend(nrow=1,byrow=TRUE))
  
  ggsave("Figure32b.pdf",height=2.75, width=3.125) 
 
  #-------------
  # end of file
  #-------------
