rm(list=ls())
library(reshape2)
library(base)
library(ggplot2)
library(grid)
library(tikzDevice)
library(stringr)
library(tidyverse)

#--------------------------------
# Figure A2
#--------------------------------

setwd("../ReplicationPackage/Figure_A2/")

# 1. Load data

dat <- read.table("FigureA2.txt", 
                  sep="\t",
                  header = TRUE)

lineplot <- ggplot(data=dat, aes(x=time, y=corr)) + 
  geom_point(size=2, color='#1a476f') +
  geom_line(size=1.0,  color='#1a476f') +
  geom_hline(aes(yintercept=0), color='#c10534', linetype="dashed")+
  theme_bw()+
  theme(panel.border = element_blank(), panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"),
        axis.title.x=element_text(size=9),
        axis.title.y=element_blank())+
  xlim(c(1972,2015)) +
  ylab(" ")+
  xlab(" ")+
  scale_color_manual(values=c('#1a476f'), name="") +    
  theme(legend.position = "none",
        legend.title = element_blank(),
        axis.title.x=element_text(size=9),
        axis.title.y=element_text(size=9))

ggsave("FigureA2.pdf",height=3.75, width=6)

#-------------
# end of file
#-------------
