  rm(list=ls())
  library(reshape2)
  library(scales)
  library(xtable) 
  library(base)
  library(ggplot2)
  library(grid)
  library(tikzDevice)

  #--------------------------------
  # Figure A3
  #--------------------------------
  
  setwd("../ReplicationPackage/Figure_A3")

  dat <- read.table("FigureA3.txt", 
                    sep="\t",
                    header = TRUE)

  vpos <- c(-1.0,2.0,-0.75,-0.5,-1.0,-0.5,-0.5,1.75,-0.5,-0.5,-0.5,1.5,-1.0,-0.5)
  hpos <- c( 0.50,-0.05,0.5,-0.25,1.0,-0.25,-0.5,-0.05,-0.25,-0.25,-0.25,-0.25,1.0,-0.25)
  
  lineplot <- ggplot(data=dat, aes(x=lfs, y=d_tfr)) + 
    geom_point(size=1.5, color="#4040bf") +
    geom_smooth(method=lm, level = 0.9, color="#4040bf", size=1.25,  fill=c("#acace6")) +
    geom_text(aes(label=country, color="#4040bf"), size=3.25, vjust=vpos, hjust=hpos) +
    theme_bw()+
    theme(panel.border = element_blank(), panel.grid.major = element_blank(),
          panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"),
          axis.title.x=element_text(size=10),
          axis.title.y=element_blank()
    )+
    ylab(" ")+
    xlab("Female LFP in 1980")+
    scale_color_manual(values=c("#4040bf"), name="") +    
    theme(legend.position = "none",
          legend.title = element_blank(),
          axis.title.x=element_text(size=10),
          axis.title.y=element_text(size=10))
  
  ggsave("FigureA3.pdf",height=3, width=5) 
  
  print(lineplot)
  dev.off()
  

  
  #-------------
  # end of file
  #-------------
